ClarisWksPresentationInternal::Presentation Struct Referencefinal

Internal the presentation. More...

Inheritance diagram for ClarisWksPresentationInternal::Presentation:

## Public Member Functions

| Presentation (ClarisWksStruct::DSET const &dset=ClarisWksStruct::DSET())
| ~Presentation () final
| destructor
void | removeChild (int cId, bool normalChild) final
| remove a child from a list.
Public Member Functions inherited from ClarisWksStruct::DSET
| DSET ()
| constructor
| DSET (DSET const &)=default
virtual | ~DSET ()
| virtual destructor
bool | isHeaderFooter () const
| test if the zone is an header/footer
bool | isSlide () const
| test if the zone is a slide
MWAWBox2f | getBdBox () const
| return the zone bdbox
int | getMaximumPage () const
| returns the maximum page
virtual void | removeChild (int cId)
| virtual function to remove a child from a list
void | updateChildPositions (MWAWVec2f const &pageDim, float formLength, int numHorizontalPages=1)
| try to update the child page and bounding box
void | findForbiddenPagesBreaking (float pageDim, float formDim, int dim, MWAWVariable< int > &lastPage) const
| find forbidden page break
MWAWBox2i | getUnionChildBox () const
| returns the child box (ie. the union of the childs box)

## Public Attributes

std::vector< int > | m_contentIdList
| the list of main zone id
std::vector< int > | m_noteIdList
| the list of notes zone id
std::vector< int > | m_thumbnailsIdList
| the list of thumbnail zone id
std::vector< librevenge::RVNGString > | m_titleList
| the list of title
int | m_masterId
| the master zone (background + header/footer)
bool | m_masterDetached
| true if the auxiliary zone is detached
Public Attributes inherited from ClarisWksStruct::DSET
long | m_size
| the size of the DSET header
long | m_numData
| the number of header
long | m_dataSz
| the data size
long | m_headerSz
| the header size
Position | m_position
| the zone type
int | m_fileType
| the type ( 0: text, -1: graphic, ...)
int | m_page
| the page (if known)
MWAWBox2f | m_box
| the bounding box (if known)
MWAWVec2f | m_pageDimension
| the page dimension (if know)
int | m_id
| the zone identificator
std::set< int > | m_fathersList
| the list of fathers
int | m_beginSelection
| the begin of selection ( at least in text header)
int | m_endSelection
| the end of selection ( at least in text header)
int | m_textType
| the text type (header/footer,footnote, ...)
int | m_flags [4]
| some unknown flag
std::vector< Child > | m_childs
| the list of child zone
std::vector< int > | m_otherChilds
| the list of other child
bool | m_parsed
| a flag to know if the entry is sent or not to the listener
int | m_internal
| an internal variable used to do some computation

## Friends

std::ostream & | operator<< (std::ostream &o, Presentation const &doc)
| operator<<

## Additional Inherited Members

Public Types inherited from ClarisWksStruct::DSET
enum | Position { P_Main =0 , P_Header , P_Footer , P_Frame , P_Footnote , P_Table , P_GraphicMaster , P_Slide , P_SlideNote , P_SlideThumbnail , P_SlideMaster , P_Unknown }
| the zone position More...
enum | ChildType { C_Zone , C_SubText , C_Graphic , C_Unknown }
| the different types of zone child More...

## Detailed Description

Internal the presentation.

## Constructor & Destructor Documentation

## Presentation()

ClarisWksPresentationInternal::Presentation::Presentation | ( | ClarisWksStruct::DSET const & | dset = ClarisWksStruct::DSET() | ) |

inline explicit

Referenced by operator<<.

## ~Presentation()

ClarisWksPresentationInternal::Presentation::~Presentation | ( |  | ) |

final

destructor

## Member Function Documentation

## removeChild()

void ClarisWksPresentationInternal::Presentation::removeChild | ( | int | cId,
|  | bool | normalChild )

inline final virtual

remove a child from a list.

Normally, this function is not called, so optimizing it is not usefull

Reimplemented from ClarisWksStruct::DSET.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Presentation const & | doc )

friend

operator<<

## Member Data Documentation

## m_contentIdList

std::vector<int> ClarisWksPresentationInternal::Presentation::m_contentIdList

the list of main zone id

Referenced by Presentation(), and ClarisWksPresentation::readZone1().

## m_masterDetached

bool ClarisWksPresentationInternal::Presentation::m_masterDetached

true if the auxiliary zone is detached

Referenced by Presentation(), and removeChild().

## m_masterId

int ClarisWksPresentationInternal::Presentation::m_masterId

the master zone (background + header/footer)

Referenced by Presentation().

## m_noteIdList

std::vector<int> ClarisWksPresentationInternal::Presentation::m_noteIdList

the list of notes zone id

Referenced by Presentation(), and ClarisWksPresentation::readZone1().

## m_thumbnailsIdList

std::vector<int> ClarisWksPresentationInternal::Presentation::m_thumbnailsIdList

the list of thumbnail zone id

Referenced by Presentation(), and ClarisWksPresentation::readZone1().

## m_titleList

std::vector<librevenge::RVNGString> ClarisWksPresentationInternal::Presentation::m_titleList

the list of title

Referenced by Presentation(), and ClarisWksPresentation::readZone1().

The documentation for this struct was generated from the following file:

- ClarisWksPresentation.cxx